Skip to main content
POST
/
v6
/
reports
/
agedAccountsReceivable
Aged Accounts Receivable
curl --request POST \
  --url https://sandbox.tight.com/v6/reports/agedAccountsReceivable \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "exportType": "JSON",
  "recipients": {
    "emails": [
      "<string>"
    ],
    "ccEmails": [
      "<string>"
    ],
    "bccEmails": [
      "<string>"
    ]
  },
  "grouping": {
    "period": "MONTHLY",
    "classSegmentLabelId": "cll_439512"
  }
}
'
{
  "result": "SUCCESS",
  "data": {
    "json": [
      {
        "name": "East Region",
        "data": [
          {
            "name": "Acme Corp",
            "balanceCurrent": 100000,
            "balance0to30": 50000,
            "balance31to60": 25000,
            "balance61to90": 10000,
            "balance91plus": 5000,
            "totalBalance": 190000
          }
        ]
      }
    ],
    "url": "<string>",
    "meta": {
      "title": "<string>",
      "generatedOn": "2023-11-07T05:31:56Z",
      "generatedBy": "John Doe",
      "footerLine": "Generated by Tight"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
exportType
enum<string>

Export format for the report

Available options:
JSON,
PDF,
XLSX
recipients
object

Email recipients for the report

grouping
object

Grouping options for the report

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.